Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ide.editor.view
Class UnknownFeaturesDialog

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.emf.ecp.ide.editor.view.UnknownFeaturesDialog

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class UnknownFeaturesDialog

extends org.eclipse.jface.dialogs.Dialog

Author:
  Alexandra Buzila

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Method Summary
`boolean` | `close()`
`String` | `getDescription()`
`Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.xml.type.AnyType>` | `getObjects()`
`void` | `setDescription(String description)`

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public boolean close()

  Overrides:
    `close` in class `org.eclipse.jface.dialogs.Dialog`

### getDescription

    public String getDescription()

  Returns:
    the description

### setDescription

    public void setDescription(String description)

  Parameters:
    `description` - the description to set

### getObjects

    public Map<org.eclipse.emf.ecore.EObject,org.eclipse.emf.ecore.xml.type.AnyType> getObjects()

  Returns:
    the objects

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.